org.springframework.web.multipart

## Class MaxUploadSizeExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.multipart.MultipartException
          - - org.springframework.web.multipart.MaxUploadSizeExceededException

All Implemented Interfaces:
  Serializable

    public class MaxUploadSizeExceededException
    extends MultipartException

MultipartException subclass thrown when an upload exceeds the maximum upload size allowed.

Since:
  1.0.1
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MaxUploadSizeExceededException(long maxUploadSize)` Constructor for MaxUploadSizeExceededException.
`MaxUploadSizeExceededException(long maxUploadSize, Throwable ex)` Constructor for MaxUploadSizeExceededException.

### Method Summary

Methods
`long` `getMaxUploadSize()` Return the maximum upload size allowed.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MaxUploadSizeExceededException

    public MaxUploadSizeExceededException(long maxUploadSize)

Constructor for MaxUploadSizeExceededException.

Parameters:
  `maxUploadSize` - the maximum upload size allowed

#### MaxUploadSizeExceededException

    public MaxUploadSizeExceededException(long maxUploadSize,
                                  Throwable ex)

Constructor for MaxUploadSizeExceededException.

Parameters:
  `maxUploadSize` - the maximum upload size allowed
  `ex` - root cause from multipart parsing API in use

### Method Detail

#### getMaxUploadSize

    public long getMaxUploadSize()

Return the maximum upload size allowed.